Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins
Class AbstractSWRLBuiltInLibrary

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary

All Implemented Interfaces:
  SWRLBuiltInLibrary

Direct Known Subclasses:
  SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl

    public abstract class AbstractSWRLBuiltInLibrary

extends Object
implements SWRLBuiltInLibrary

A class that must be subclassed by a class implementing a library of SWRL built-in methods. See here for documentation.

Constructor Summary
`AbstractSWRLBuiltInLibrary(String libraryName)`

Method Summary
`SWRLRuleEngineBridge` | `getInvokingBridge()`
`int` | `getInvokingBuiltInIndex()`
`String` | `getInvokingRuleName()`
`boolean` | `getIsInConsequent()`
`String` | `getLibraryName()`
`boolean` | `invokeBuiltInMethod(Method method, SWRLRuleEngineBridge bridge, String ruleName, String prefix, String builtInMethodName, int builtInIndex, boolean isInConsequent, List<BuiltInArgument> arguments)`
`void` | `invokeResetMethod(SWRLRuleEngineBridge bridge)`
`abstract void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSWRLBuiltInLibrary

    public AbstractSWRLBuiltInLibrary(String libraryName)

Method Detail

### getLibraryName

    public String getLibraryName()

  Specified by:
    `getLibraryName` in interface `SWRLBuiltInLibrary`

### getInvokingBridge

    public SWRLRuleEngineBridge getInvokingBridge()
                                           throws BuiltInException

  Specified by:
    `getInvokingBridge` in interface `SWRLBuiltInLibrary`
  Throws:
    `BuiltInException`

### getInvokingRuleName

    public String getInvokingRuleName()
                               throws BuiltInException

  Specified by:
    `getInvokingRuleName` in interface `SWRLBuiltInLibrary`
  Throws:
    `BuiltInException`

### getInvokingBuiltInIndex

    public int getInvokingBuiltInIndex()
                                throws BuiltInException

  Specified by:
    `getInvokingBuiltInIndex` in interface `SWRLBuiltInLibrary`
  Throws:
    `BuiltInException`

### getIsInConsequent

    public boolean getIsInConsequent()
                              throws BuiltInException

  Specified by:
    `getIsInConsequent` in interface `SWRLBuiltInLibrary`
  Throws:
    `BuiltInException`

### reset

    public abstract void reset()
                        throws BuiltInException

  Specified by:
    `reset` in interface `SWRLBuiltInLibrary`
  Throws:
    `BuiltInException`

### invokeResetMethod

    public void invokeResetMethod(SWRLRuleEngineBridge bridge)
                           throws BuiltInException

  Specified by:
    `invokeResetMethod` in interface `SWRLBuiltInLibrary`
  Throws:
    `BuiltInException`

### invokeBuiltInMethod

    public boolean invokeBuiltInMethod(Method method,
                                       SWRLRuleEngineBridge bridge,
                                       String ruleName,
                                       String prefix,
                                       String builtInMethodName,
                                       int builtInIndex,
                                       boolean isInConsequent,
                                       List<BuiltInArgument> arguments)
                                throws BuiltInException

  Specified by:
    `invokeBuiltInMethod` in interface `SWRLBuiltInLibrary`
  Throws:
    `BuiltInException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.